Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Interface ErrorHandler

All Known Implementing Classes:
  DefaultErrorHandler

    public interface ErrorHandler

This interface provides a way to catch errors and warnings from a Transcoder. If an application needs to implement customized error handling, it must implement this interface and then register an instance with the Transcoder using the transcoder's setErrorHandler method. The transcoder will then report all errors and warnings through this interface. A transcoder shall use this interface instead of throwing an exception: it is up to the application whether to throw an exception for different types of errors and warnings. Note, however, that there is no requirement that the transcoder continue to provide useful information after a call to fatalError (in other words, a transcoder class could catch an exception and report a fatalError).

Method Summary
`void` | `error(TranscoderException ex)` Invoked when an error occured while transcoding.
`void` | `fatalError(TranscoderException ex)` Invoked when an fatal error occured while transcoding.
`void` | `warning(TranscoderException ex)` Invoked when a warning occured while transcoding.

Method Detail

### error

    void error(TranscoderException ex)
               throws TranscoderException

  Invoked when an error occured while transcoding.

  Parameters:
    `ex` - the error informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

### fatalError

    void fatalError(TranscoderException ex)
                    throws TranscoderException

  Invoked when an fatal error occured while transcoding.

  Parameters:
    `ex` - the fatal error informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

### warning

    void warning(TranscoderException ex)
                 throws TranscoderException

  Invoked when a warning occured while transcoding.

  Parameters:
    `ex` - the warning informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.